package me.jonathan.adminplugin;

import org.bukkit.GameMode;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.jetbrains.annotations.NotNull;

public class CommandAdmin implements CommandExecutor {

    public CommandAdmin() {
    }

    @Override
    public boolean onCommand(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {
        if (sender instanceof Player) {
            Player player = (Player) sender;
            if (args.length == 1) {
                if (args[0].equalsIgnoreCase("on")) {
                    InventoryManager.saveInventory(player);
                    player.setGameMode(GameMode.SPECTATOR);
                    InventoryManager.giveAdminCompass(player);
                    player.sendMessage("Admin mode enabled.");
                    return true;
                } else if (args[0].equalsIgnoreCase("off")) {
                    InventoryManager.restoreInventory(player);
                    player.sendMessage("Admin mode disabled.");
                    return true;
                }
            }
        }
        return false;
    }
}
