package me.jonathan.adminplugin;

import org.bukkit.Material;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerInteractEvent;
import org.bukkit.inventory.Inventory;
import org.bukkit.inventory.ItemStack;

public class EventListener implements Listener {

    private final Main plugin;

    public EventListener(Main plugin) {
        this.plugin = plugin;
    }

    @EventHandler
    public void onPlayerInteract(PlayerInteractEvent event) {
        // Votre logique de gestion des interactions de joueur ici
        if (event.hasItem()) {
            ItemStack item = event.getItem();
            if (item != null && item.getType().equals(Material.COMPASS)) {
                Inventory adminMenu = plugin.getServer().createInventory(null, 27, "Admin Menu");
                event.getPlayer().openInventory(adminMenu);
            }
        }
    }
}
