package me.jonathan.adminplugin;

import org.bukkit.command.PluginCommand;
import org.bukkit.plugin.java.JavaPlugin;


public class Main extends JavaPlugin {
    @Override
    public void onEnable() {
        PluginCommand adminCommand = getCommand("admin");
        if (adminCommand != null) {
            adminCommand.setExecutor(new CommandAdmin()); // Passer une référence de Main
        } else {
            getLogger().severe("Command 'admin' not found in plugin.yml");
        }

        getServer().getPluginManager().registerEvents(new EventListener(this), this); // Passer une référence de Main
    }

    @Override
    public void onDisable() {
        // Logique pour gérer la désactivation du plugin si nécessaire
    }
}